Skip to main content

Create Lead: ResMan

POSThttps://api.propexo.com/v1/leads/resman/
InterfaceMethod
Lead Management/MITS/PostLeadManagement4_0
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    lead_source_idstringrequired

    The Propexo unique identifier for the lead source

    employee_idstringrequired

    The Propexo unique identifier for the employee

    property_idstringrequired

    The Propexo unique identifier for the property

    unit_idstring

    The Propexo unique identifier for the unit

    floor_plan_idstring

    The Propexo unique identifier for the floor plan

    first_namestringrequired

    The first name associated with the lead

    last_namestringrequired

    The last name associated with the lead

    email_1string

    The primary email address associated with the lead

    phone_1string

    Primary phone number associated with the lead

    phone_1_typestring

    Type of the primary phone number. This will default to HOME if not provided

    Show 4 enum values
    FAXHOMEMOBILEWORK
    phone_2string

    Secondary phone number associated with the lead

    phone_2_typestring

    Type of the secondary phone number. This will default to MOBILE if not provided

    Show 4 enum values
    FAXHOMEMOBILEWORK
    citystring

    The city associated with the lead

    address_1string

    The first address line associated with the lead

    address_2string

    The second address line associated with the lead

    statestring

    The state associated with the lead

    zipstring

    The zip code associated with the lead

    notesstring

    Notes associated with the lead

    desired_num_bedroomsnumber

    The desired number of bedrooms

    Possible values: >= 0

    desired_num_bathroomsnumber

    The desired number of bathrooms

    Possible values: >= 0

    desired_max_rent_in_centsnumber

    The maximum rent cost the lead is looking to pay, in cents

    Possible values: >= 0

    desired_lease_term_in_monthsnumber

    The amount of months for the lease term

    Possible values: >= 0

    target_move_in_datestring

    The target move in date associated with the lead

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    lead_source_idstringrequired

    The Propexo unique identifier for the lead source

    employee_idstringrequired

    The Propexo unique identifier for the employee

    property_idstringrequired

    The Propexo unique identifier for the property

    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    floor_plan_idstring | nullnullablerequired

    The Propexo unique identifier for the floor plan

    first_namestringrequired

    The first name associated with the lead

    last_namestringrequired

    The last name associated with the lead

    email_1string | nullnullablerequired

    The primary email address associated with the lead

    phone_1string | nullnullablerequired

    Primary phone number associated with the lead

    phone_1_typestring | nullnullablerequired

    Type of the primary phone number. This will default to HOME if not provided

    Show 4 enum values
    FAXHOMEMOBILEWORK
    phone_2string | nullnullablerequired

    Secondary phone number associated with the lead

    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number. This will default to MOBILE if not provided

    Show 4 enum values
    FAXHOMEMOBILEWORK
    citystring | nullnullablerequired

    The city associated with the lead

    address_1string | nullnullablerequired

    The first address line associated with the lead

    address_2string | nullnullablerequired

    The second address line associated with the lead

    statestring | nullnullablerequired

    The state associated with the lead

    zipstring | nullnullablerequired

    The zip code associated with the lead

    notesstring | nullnullablerequired

    Notes associated with the lead

    desired_num_bedroomsnumber | nullnullablerequired

    The desired number of bedrooms

    Possible values: >= 0

    desired_num_bathroomsnumber | nullnullablerequired

    The desired number of bathrooms

    Possible values: >= 0

    desired_max_rent_in_centsnumber | nullnullablerequired

    The maximum rent cost the lead is looking to pay, in cents

    Possible values: >= 0

    desired_lease_term_in_monthsnumber | nullnullablerequired

    The amount of months for the lease term

    Possible values: >= 0

    target_move_in_datestring | nullnullablerequired

    The target move in date associated with the lead

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/leads/resman/
curl -X POST https://api.propexo.com/v1/leads/resman/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lead_source_id": "string",
"employee_id": "string",
"property_id": "string",
"first_name": "string",
"last_name": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lead_source_id": "string",
"employee_id": "string",
"property_id": "string",
"unit_id": "string",
"floor_plan_id": "string",
"first_name": "string",
"last_name": "string",
"email_1": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"city": "string",
"address_1": "string",
"address_2": "string",
"state": "string",
"zip": "string",
"notes": "string",
"desired_num_bedrooms": 0,
"desired_num_bathrooms": 0,
"desired_max_rent_in_cents": 0,
"desired_lease_term_in_months": 0,
"target_move_in_date": "2024-07-29T15:51:28.071Z"
}
}